# Uses of Class
org.apache.sysds.runtime.transform.encode.ColumnEncoder

Packages that use ColumnEncoder
Package
Description
org.apache.sysds.runtime.transform.encode

## Uses of ColumnEncoder in org.apache.sysds.runtime.transform.encode

Subclasses of ColumnEncoder in org.apache.sysds.runtime.transform.encode
Modifier and Type
Class
Description
`class`
`ColumnEncoderBagOfWords`
`class`
`ColumnEncoderBin`
`class`
`ColumnEncoderComposite`
Simple composite encoder that applies a list of encoders in specified order.
`class`
`ColumnEncoderDummycode`
`class`
`ColumnEncoderFeatureHash`
Class used for feature hashing transformation of frames.
`class`
`ColumnEncoderPassThrough`
`class`
`ColumnEncoderRecode`
`class`
`ColumnEncoderUDF`
`class`
`ColumnEncoderWordEmbedding`
Methods in org.apache.sysds.runtime.transform.encode with type parameters of type ColumnEncoder
Modifier and Type
Method
Description
`<T extends ColumnEncoder, E>
void`
MultiColumnEncoder.`applyToAll(Class<T> type, Consumer<? super T> function)`
`<T extends ColumnEncoder, E>
void`
MultiColumnEncoder.`applyToAll(Consumer<? super ColumnEncoderComposite> function)`
`<T extends ColumnEncoder>
boolean`
MultiColumnEncoder.`containsEncoderForID(int colID, Class<T> type)`
`<T extends ColumnEncoder>
T`
MultiColumnEncoder.`getColumnEncoder(int colID, Class<T> type)`
`<T extends ColumnEncoder>
List<T>`
MultiColumnEncoder.`getColumnEncoders(Class<T> type)`
`<T extends ColumnEncoder>
T`
ColumnEncoderComposite.`getEncoder(Class<T> type)`
`<T extends ColumnEncoder, E>
List<E>`
MultiColumnEncoder.`getFromAll(Class<T> type, Function<? super T,? extends E> mapper)`
`<T extends ColumnEncoder>
double[]`
MultiColumnEncoder.`getFromAllDoubleArray(Class<T> type, Function<? super T,? extends Double> mapper)`
`<T extends ColumnEncoder>
int[]`
MultiColumnEncoder.`getFromAllIntArray(Class<T> type, Function<? super T,? extends Integer> mapper)`
`<T extends ColumnEncoder>
boolean`
ColumnEncoderComposite.`hasBuild()`
`<T extends ColumnEncoder>
boolean`
ColumnEncoderComposite.`hasEncoder(Class<T> type)`
`<T extends ColumnEncoder>
MultiColumnEncoder`
MultiColumnEncoder.`subRangeEncoder(IndexRange ixRange, Class<T> type)`
Methods in org.apache.sysds.runtime.transform.encode that return ColumnEncoder
Modifier and Type
Method
Description
`static ColumnEncoder`
EncoderFactory.`createInstance(int type)`
Methods in org.apache.sysds.runtime.transform.encode that return types with arguments of type ColumnEncoder
Modifier and Type
Method
Description
`List<ColumnEncoder>`
ColumnEncoderComposite.`getEncoders()`
`List<Class<? extends ColumnEncoder>>`
MultiColumnEncoder.`getEncoderTypes()`
`List<Class<? extends ColumnEncoder>>`
MultiColumnEncoder.`getEncoderTypes(int colID)`
Methods in org.apache.sysds.runtime.transform.encode with parameters of type ColumnEncoder
Modifier and Type
Method
Description
`void`
ColumnEncoderComposite.`addEncoder(ColumnEncoder other)`
`int`
ColumnEncoder.`compareTo(ColumnEncoder o)`
`static int`
EncoderFactory.`getEncoderType(ColumnEncoder columnEncoder)`
`void`
ColumnEncoder.`mergeAt(ColumnEncoder other)`
Merges another encoder, of a compatible type, in after a certain position.
`void`
ColumnEncoderBin.`mergeAt(ColumnEncoder other)`
`void`
ColumnEncoderComposite.`mergeAt(ColumnEncoder other)`
`void`
ColumnEncoderDummycode.`mergeAt(ColumnEncoder other)`
`void`
ColumnEncoderFeatureHash.`mergeAt(ColumnEncoder other)`
`void`
ColumnEncoderPassThrough.`mergeAt(ColumnEncoder other)`
`void`
ColumnEncoderRecode.`mergeAt(ColumnEncoder other)`
`void`
ColumnEncoderUDF.`mergeAt(ColumnEncoder other)`
Method parameters in org.apache.sysds.runtime.transform.encode with type arguments of type ColumnEncoder
Modifier and Type
Method
Description
`void`
ColumnEncoderDummycode.`updateDomainSizes(List<ColumnEncoder> columnEncoders)`
`void`
ColumnEncoderUDF.`updateDomainSizes(List<ColumnEncoder> columnEncoders)`
Constructors in org.apache.sysds.runtime.transform.encode with parameters of type ColumnEncoder
Modifier
Constructor
Description
``
`ColumnEncoderComposite(ColumnEncoder columnEncoder)`
Constructor parameters in org.apache.sysds.runtime.transform.encode with type arguments of type ColumnEncoder
Modifier
Constructor
Description
``
`ColumnEncoderComposite(List<ColumnEncoder> columnEncoders)`
``
`ColumnEncoderComposite(List<ColumnEncoder> columnEncoders, int colID)`
``
`ColumnEncoderComposite(List<ColumnEncoder> columnEncoders, FrameBlock meta)`